Overview Features Instructions Performance Forum Downloads Products Reseller Contact

Welcome to the Apollo Forum

This forum is for people interested in the APOLLO CPU.
Please read the forum usage manual.
VISIT APOLLO IRC CHANNEL



All TopicsNewsPerformanceGamesDemosApolloVampireCoffinReleases
Documentation about the Vampire hardware

WARNING NOT Use Vampire V500 Together With ACA

Gunnar von Boehn
(Apollo Team Member)
Posts 3515
26 Dec 2017 10:38


Some people have asked us if they can use ACA together with
Vampire500. This will not work.

WARNING : Do not do this!

Any harm done to your AMIGA or Vampire caused by doing this is not covered by warranty.


Vojin Vidanovic

Posts 770
26 Dec 2017 11:25


Why would someone try to have two accel. cards?


Nixus Minimax

Posts 247
26 Dec 2017 11:34


Vojin Vidanovic wrote:

Why would someone try to have two accel. cards?

Because they already have the ACA, felt unsatisfied and wanted a fast card instead and fell for the "lack of compatibility" FUD.


Andy Hearn

Posts 114
26 Dec 2017 13:29


Hmmm, I think both cards do the ROM replacement thing, and have IDE controllers - probably at the same address space. Hopefully it’ll just end up with a “logic brain freeze” with both cards just fighting to be processor bus master - rather than anything getting 12volts on a data line.
If i figure this, the vampire will be the primary cpu, then the 68010 on the aca500 initiates a cpu bus master request and it probably goes downhill from there :D

I can see a reason; but it’s a slim reason if you didn’t know any better - externally accessible cf slots with the case closed.

Anyway all of this is just conjecture from me, as I have no experience with an aca500, just what I’ve read up on it.

A bump the thread as “please don’t try this at home” :)


Tim D

Posts 22
07 May 2018 10:48


As a new Vampire 500V2+ owner (not yet user) I was wondering whether and if so how, these two wonderful features of the ACA500plus can be achieved with a vampire?
- 1 MB Chip RAM with just the right Agnus and no other hardware hack? (Or does the Vampire presents its "own" chip ram?
- boot selector, I would like to boot from Gotek DF1:

Thanks!


Vojin Vidanovic

Posts 505
07 May 2018 11:08


Tim D wrote:

    - 1 MB Chip RAM with just the right Agnus and no other hardware hack? (Or does the Vampire presents its "own" chip ram?
 

 
  Now: you are limited to what you really have, sorry A1000 and A500 users. Fast forward to GOLD3 core ("when its done") and 4MB fast RAM can be mapped as chip. Its own DDR RAM is used, taking away 1-4mb of fast RAM on Vampire, but then again being much faster. So no "onboard chip RAM" and hardware hacks should be used.
 
 
Tim D wrote:

    - boot selector, I would like to boot from Gotek DF1:
 

 
  While some software bootmenu was always AmigaOS weak knee, usual both buttons boot menu exists. If Gotek is present there I am sure you can boot.
 
  There is an interesting "Vampire Boot" software menu selector, but supports few file systems and needs some knowledge what one is doing :-)
 
  EXTERNAL LINK   


Martin Soerensen

Posts 212
07 May 2018 12:08


Tim D wrote:
- boot selector, I would like to boot from Gotek DF1:

You can use a regular bootselector installed in the CIA slot.


Tim D

Posts 22
07 May 2018 13:21


Thanks guys for the quick answers. The answers are a bit disappointing though, I love these 2 ACA500plus features and hoped to keep them without any hardware tricks.

So the wait is on for Gold 3 even more for at least one of them. Hopefully the floppy boot selector will follow in another release. Is there a place to do requests?

This raises another question now. What kickstart version is the Vampire using? And if this is e.g. 3.1, what does it mean for floppy games that only work with 1.2/1.3?


Adam Whittaker

Posts 150
07 May 2018 14:00


Vampire can be map romed easily i kicked a 1.2 the other day just for shits and giggles!!


Vojin Vidanovic

Posts 505
07 May 2018 19:26


Tim D wrote:

    So the wait is on for Gold 3 even more for at least one of them.
 

 
  In fact, that is just a "side effect" of Vampires AGA chipset implementation and its memory and ROM mapping features.
 
 
Tim D wrote:

    Is there a place to do requests?
 

 
  Sadly there is no official place for requests, since even teams own requests arent all implemented yet :-) But constant voicing over sometimes does help. Even more if one is willing to contribute towards the goal somehow. There is also Apollo IRC channel where you can reach the team.


Martin Soerensen

Posts 212
08 May 2018 08:50


Tim D wrote:
So the wait is on for Gold 3 even more for at least one of them. Hopefully the floppy boot selector will follow in another release. Is there a place to do requests?
 
This raises another question now. What kickstart version is the Vampire using? And if this is e.g. 3.1, what does it mean for floppy games that only work with 1.2/1.3?

If you really want to play old games from floppies that require KS 1.2/1.3 then I would suggest to use a different Amiga with that configuration. While the Vampire is quite compatible (much more so that a typical 060 build), it is still a high-end Amiga so you will encounter various compatibility issues. Even in turtle mode, the CPU is still much faster than a plain 7.14MHz 68000.

For those old games, you will have better luck using WHDLoad which was designed for exactly this purpose - to allow people with high end Amigas to play those old games without bothering with bad floppies, incompatible memory configs, timing issues etc.

For feature requests, they are probably not looking for more since that have enough in the queue for the next 20 years I think. :-) But they do like it when people step up and do the actual work to implement something. Then they will support you with your work.


Gunnar von Boehn
(Apollo Team Member)
Posts 3515
08 May 2018 09:09


Martin Soerensen wrote:

  For those old games, you will have better luck using WHDLoad which was designed for exactly this purpose - to allow people with high end Amigas to play those old games without bothering with bad floppies, incompatible memory configs, timing issues etc.
 

 
Martin is absolutely right here.
 
While you can easily run Kick 1.2 on the Vamp - if a game is so badly written that it requires it then chances are high that the game also has other issues.

If you read the patch of the WHDLOAD games, then you can see how many coding bugs are in old games.
These could be many type of bugs, like crashing on CPUs like 68020 or higher. Crashing on some Kickstart version. Depending on a certain speed rate of the floppy drive. Endless list...

WHDLOAD fixes a lot of those bugs and makes many buggy games work on A1200, A3000, A4000 and up.
 


Eric Gus

Posts 272
08 May 2018 16:36


I wish I could find a WHDLOAD wrapper for Electronic Arts "Instant Music" .. it does not work with kick 1.2 or 1.3 on vamp .. and as far as I know no one has made a wrapper to run it.


Tim D

Posts 22
08 May 2018 20:58


I actually have the A500 for the old games, for which I wanted a gotek with the adfs incl typical carcktro/trainers. I have other Amigas setup with WHDLoad. It's basically the long delay with V4 that got me into buying a V2+ :) So I guess I'll have the a500 as temp vampire system and then revert it back to basic machine when the V4 is finally released.


Steve Ferrell

Posts 217
09 May 2018 03:34


eric gus wrote:

  I wish I could find a WHDLOAD wrapper for Electronic Arts "Instant Music" .. it does not work with kick 1.2 or 1.3 on vamp .. and as far as I know no one has made a wrapper to run it.
 

 
 
If I remember correctly, Instant Music only works with KS/WB 1.0 and maybe 1.1.  I think I had it working under 1.2 several years ago, but only after disabling any fast RAM.  This was on classic hardware so if it doesn't run on classic hardware on KS/WB versions greater than 1.1 then certainly don't expect it to run on a Vamp using those versions either.


Eric Gus

Posts 272
09 May 2018 04:03


Steve Ferrell wrote:

eric gus wrote:

  I wish I could find a WHDLOAD wrapper for Electronic Arts "Instant Music" .. it does not work with kick 1.2 or 1.3 on vamp .. and as far as I know no one has made a wrapper to run it.
 

 
 
  If I remember correctly, Instant Music only works with KS/WB 1.0 and maybe 1.1.  I think I had it working under 1.2 several years ago, but only after disabling any fast RAM.  This was on classic hardware so if it doesn't run on classic hardware on KS/WB versions greater than 1.1 then certainly don't expect it to run on a Vamp using those versions either.

Oh I have no illusions it would work with just maprom kick 1.1/1.2 or 1.3 .. and yea it has some issues with fast ram and anything beyond 512kb chip ..  I used to use it all the time on my stock A500 (ks1.3) but it would just be nice to get a whdload wrapper for it.. but none seem to exist.


posts 16